package com.njcn.device.pq.enums;

import lombok.Getter;

/**
 * pqs
 * 终端枚举
 * @author cdf
 * @date 2021/6/21
 */
@Getter
public enum PvDeviceResponseEnum {

    /**
     * A0350 ~ A0450 用于pv终端模块的枚举
      */
    UNIT_REPEAT("A0350","单位名称重复"),
    SUBSTATION_REPEAT("A0351","变电站名称重复"),
    TEN_VOLTAGE_REPEAT("A0352","10kV线路名称重复"),
    VOLTAGE_REPEAT("A0352","母线名称重复"),
    SUB_AREA_REPEAT("A0353","台区名称重复"),
    SUB_NUM_REPEAT("A0354","母线号重复"),
    DVE_CODE_REPEAT("A0355","终端编号重复"),
    USER_CODE_REPEAT("A0356","用户编号重复"),
    SUB_AREA_EMPTY("A0357","台区不能为空"),
    VOLTAGE_PARAM_EMPTY("A0358","所属母线不可为空"),
    VOLTAGE_PARAM_EMPTY_MUST("A0359","所属母线必须为空"),
    LV_USER_REPEAT("A0360","低压用户名称重复"),
    SUBSTATION_CODE_REPEAT("A0351","变电站编号重复"),
    TRANSFORMER_NAME_REPEAT("A0401","变压器名称重复"),
    TFLGPLOY_NAME_REPEAT("A0402","变压器策略名称重复"),
    THE_NODE_IS_ADDED("A0403","变压器信息节点维护：当前选择节点已绑定，无法再次已绑！"),



    TEN_VOLTAGE_NULL("A0360","未查询到指定10kV线路"),
    UNIT_NULL("A0361","未查询到指定单位"),
    SUB_AREA_NULL("A0362","未查询到指定台区"),
    DEV_NULL("A0363","未查询到指定终端"),
    SUBSTATION_NULL("A0364","未查询到指定变电站"),
    SUBSTATION_EMPTY("A0364","变电站不可为空"),
    VOLTAGE_NULL("A0365","未查询到指定母线"),
    DEV_NUM_NULL("A0366","当前装置监测点序号已存在"),
    ONE_SUB_VOLTAGE_EMPTY("A0367","I类监测点变电站母线不可为空"),
    TWO_SUB_VOLTAGE_EMPTY_MUST("A0368","II类监测点变电站母线必须为空"),
    LINE_DEVICE_NO_MATCH("A0369","监测点所属装置型号不匹配"),
    NO_SUB("A0370","当前单位下不存在台区或变电站"),
    NEWSTATION_REPEAT("A0371","新能源场站名称已存在"),
    PROJECT_OR_NOT("A00550","项目名称为空，请检查信息是否存在!"),
    PROVINCE_OR_NOT("A00550","省级名称为空，请检查信息是否存在!"),
    GD_OR_NOT("A00550","供电公司名称为空，请检查信息是否存在!"),
    OVER_LIMIT("A00550","前置机配置设备过多"),
    NO_DEVICE("A00550","前置机下无设备"),

    ;





    private final String code;

    private final String message;

    PvDeviceResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
